[firefox-kde-opensuse] erreur avec gcc-4.6 (abandon)

annonces et demandes de paquetages pour les dépôts i686 et x86_64
Avatar de l’utilisateur
keny
newbie
Messages : 6
Inscription : mar. 29 juin 2010, 14:27

[firefox-kde-opensuse] erreur avec gcc-4.6 (abandon)

Message par keny » jeu. 28 avr. 2011, 22:20

Salut à tous,

J’essaie de compiler firefox-kde-opensuse, mais depuis le passage à gcc 4.6 le pkg build ne fonctionne plus.

Voici l'erreur :

Code : Tout sélectionner

c++ -o nsID.o -c -I../../dist/stl_wrappers -I../../dist/system_wrappers -include /tmp/yaourt-tmp-root/aur-xulrunner-kde-opensuse/src/mozilla-2.0/config/gcc_hidden.h -DOSTYPE=\"Linux2.6\" -DOSARCH=Linux -DTARGET_XPCOM_ABI=\"x86_64-gcc3\" -I/tmp/yaourt-tmp-root/aur-xulrunner-kde-opensuse/src/mozilla-2.0/xpcom/glue/../build  -I/tmp/yaourt-tmp-root/aur-xulrunner-kde-opensuse/src/mozilla-2.0/xpcom/glue -I. -I../../dist/include -I../../dist/include/nsprpub  -I/usr/include/nspr -I/usr/include/nss       -fPIC  -fno-rtti -fno-exceptions -Wall -Wpointer-arith -Woverloaded-virtual -Wsynth -Wno-ctor-dtor-privacy -Wno-non-virtual-dtor -Wcast-align -Wno-invalid-offsetof -Wno-variadic-macros -Werror=return-type -fno-strict-aliasing -fshort-wchar -pthread -pipe  -DNDEBUG -DTRIMMED -Os -freorder-blocks -fomit-frame-pointer    -DMOZILLA_CLIENT -include ../../mozilla-config.h -MD -MF .deps/nsID.pp /tmp/yaourt-tmp-root/aur-xulrunner-kde-opensuse/src/mozilla-2.0/xpcom/glue/nsID.cpp
/tmp/yaourt-tmp-root/aur-xulrunner-kde-opensuse/src/mozilla-2.0/xpcom/glue/nsEnumeratorUtils.cpp:115:27: erreur: uninitialized const ‘EmptyEnumeratorImpl::kInstance’ [-fpermissive]
/tmp/yaourt-tmp-root/aur-xulrunner-kde-opensuse/src/mozilla-2.0/xpcom/glue/nsEnumeratorUtils.cpp:50:7: note: ‘const class EmptyEnumeratorImpl’ has no user-provided default constructor
make[5]: *** [nsEnumeratorUtils.o] Erreur 1
make[5]: *** Attente des tâches non terminées....
make[5]: quittant le répertoire « /tmp/yaourt-tmp-root/aur-xulrunner-kde-opensuse/src/mozilla-2.0/obj-x86_64-unknown-linux-gnu/xpcom/glue »
make[4]: *** [libs] Erreur 2
make[4]: quittant le répertoire « /tmp/yaourt-tmp-root/aur-xulrunner-kde-opensuse/src/mozilla-2.0/obj-x86_64-unknown-linux-gnu/xpcom »
make[3]: *** [libs_tier_platform] Erreur 2
make[3]: quittant le répertoire « /tmp/yaourt-tmp-root/aur-xulrunner-kde-opensuse/src/mozilla-2.0/obj-x86_64-unknown-linux-gnu »
make[2]: *** [tier_platform] Erreur 2
make[2]: quittant le répertoire « /tmp/yaourt-tmp-root/aur-xulrunner-kde-opensuse/src/mozilla-2.0/obj-x86_64-unknown-linux-gnu »
make[1]: *** [default] Erreur 2
make[1]: quittant le répertoire « /tmp/yaourt-tmp-root/aur-xulrunner-kde-opensuse/src/mozilla-2.0/obj-x86_64-unknown-linux-gnu »
make: *** [build] Erreur 2
==> ERREUR: Une erreur s'est produite dans build().
    Abandon...
==> ERREUR: Makepkg n'a pas pu construire .
==> Relancer la compilation de xulrunner-kde-opensuse ? [o/N]
Après quelques recherches j'ai vu que mozzila à publier un patch, cependant je n'arrive pas à l'intégrer dans le pkgbuild :(.

Je me demandais si quelqu'un aurais la gentillesse de faire remonter le problème au mainteneur du paquet ?, parce que moi et l'anglais ...

Merci à vous.
Dernière modification par keny le ven. 29 avr. 2011, 09:10, modifié 1 fois.

Avatar de l’utilisateur
chipster
Maître du Kyudo
Messages : 2063
Inscription : ven. 11 août 2006, 22:25
Localisation : Saint-Étienne (42)
Contact :

Re: gcc 4.6 et firefox-kde-opensuse

Message par chipster » ven. 29 avr. 2011, 08:18

Merci de formater ton sujet comme il te l'a été demandé lors de la première édition :chinois:

Avatar de l’utilisateur
keny
newbie
Messages : 6
Inscription : mar. 29 juin 2010, 14:27

Re: gcc 4.6 et firefox-kde-opensuse

Message par keny » ven. 29 avr. 2011, 08:46

Ce n'est pas que je suis de mauvaise foi, mais mon message contiens un thème et une description, pour l'état je mets quoi ? En cours de résolution ? :?

benjarobin
Maître du Kyudo
Messages : 15446
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: gcc 4.6 et firefox-kde-opensuse

Message par benjarobin » ven. 29 avr. 2011, 09:00

Ce n'est pas le fond que l'on critique mais la forme... [] et (en cours)
Zsh | KDE | PC fixe : core i7, carte nvidia | Portable : Asus ul80vt
Titre d'un sujet : [Thème] Sujet (état)

grosbedos
Hankyu
Messages : 26
Inscription : jeu. 13 nov. 2008, 18:20

Re: [firefox-kde-opensuse] erreur avec gcc-4.6

Message par grosbedos » dim. 21 oct. 2012, 15:11

je ne sais pas compiler firefox 15, pareil pour le 16..embetant!
je sais pas trop par ou commencer...

grosbedos
Hankyu
Messages : 26
Inscription : jeu. 13 nov. 2008, 18:20

Re: [firefox-kde-opensuse] erreur avec gcc-4.6

Message par grosbedos » dim. 21 oct. 2012, 15:12

peut etre ca?
LFrame.o.pp /tmp/yaourt-tmp-root/aur-firefox-kde-opensuse/src/mozilla-release/layout/mathml/nsMathMLFrame.cpp
/tmp/yaourt-tmp-root/aur-firefox-kde-opensuse/src/mozilla-release/layout/mathml/nsMathMLFrame.cpp:476:1: erreur interne du compilateur: Erreur de segmentation

grosbedos
Hankyu
Messages : 26
Inscription : jeu. 13 nov. 2008, 18:20

Re: [firefox-kde-opensuse] erreur avec gcc-4.6

Message par grosbedos » dim. 21 oct. 2012, 15:13

enfin ce n'est pas tres encourageant, si vs avez la soluce ;)

Avatar de l’utilisateur
FoolEcho
Maître du Kyudo
Messages : 10518
Inscription : dim. 15 août 2010, 11:48
Localisation : Basse-Normandie

Re: [firefox-kde-opensuse] erreur avec gcc-4.6

Message par FoolEcho » dim. 21 oct. 2012, 17:15

@grosbedos: pas sympa de faire remonter un sujet vieux d'un an et demi :ancetre2: ... ni de poster 3 messages à la suite en 3 minutes (on peut éditer les messages)... La version de firefox-kde-opensuse n'étant plus la même (16.0.1), si tu as des soucis de compilation, mieux vaut ouvrir un nouveau sujet, stp (avec le log complet de la compilation tant qu'à faire, en passant par pastebin au besoin) :chinois: ... et «accessoirement», utiliser yaourt en root n'est pas conseillé.
«The following statement is not true. The previous statement is true.» :nage:

Verrouillé